- Home
- API reference
- Webhooks
- List event types
List event types
Lists the event types available for webhook subscriptions.
/v1/event-typeswebhooks:read permission.Response (200)
Section titled “Response (200)”dataarray of objectrequiredThe returned object, or an array of objects for a list.
typestringrequiredThe event type, as you subscribe to it.
Example: payment.succeeded
Possible values: payment.created, payment.succeeded, payment.failed, payment.expired, payment.settled, payment.anomaly, payment.unsettled, payment.reversed, payment.reversal_cancelled, payment.attempt.created, payment.attempt.failed, payment_link.created, payment_link.cancelled, payment_link.expired, payment_link.completed, payment_link.limit_reached, invoice.issued, invoice.paid, invoice.voided, project.created, project.updated, project.activated, project.deactivated, project.payment_methods_changed, project.live_requested, project.live_approved, project.live_revision_requested, api_key.created, api_key.rotated, api_key.revoked, webhook_endpoint.created, webhook_endpoint.updated, webhook_endpoint.deleted, webhook_endpoint.secret_rotated, webhook_endpoint.disabled, webhook.test
groupstringrequiredThe family of the event: payment, payment_link, invoice, project, api_key, webhook_endpoint or test.
Example: payment
Possible values: payment, payment_link, invoice, project, api_key, webhook_endpoint, test
scopestringrequiredproject events reach the project's endpoints and the merchant's; account events only the merchant's.
Example: project
Possible values: project, account
descriptionstringrequiredThe condition that causes Baiyar to send this event to subscribed webhook endpoints.
Example: A payment was paid.
metaobjectrequiredRequest details such as its id and pagination cursor.
request_idstringrequiredThe id of this request. Quote it when you ask support about it.
Example: req_Hy3k9QzT2LmN8vXa
A failed request answers with the common error shape; see Errors.